#!/usr/bin/env ruby

require "libjcode"

for file in ["hoge_asc", "hoge_euc", "hoge_jis", "hoge_sjis"]
  f = open(file, "r")

  printf "file: %10-s", file
  print "  code: "

  case Libjcode.guess(f.gets)
  when Libjcode::ASCII
	print "ASCII", "\n"
  when Libjcode::JIS
	print "JIS", "\n"
  when Libjcode::EUC
	print "EUC", "\n"
  when Libjcode::SJIS
	print "SJIS", "\n"
  end

  f.close

end
